#eureka client配置
eureka:
  eureka.client.serviceUrl.defaultZone: http://admin:plgtest00212@192.168.0.168:8761/eureka/
  #instance.ipAddress: 192.168.110.50  # 指定此实例的ip

spring:
  application:
    name: upcloud-base-gsp
  #redis配置
  redis:
    host: 192.168.0.168
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    base-url: http://192.168.0.167:10002
    sender.type: rabbit
    rabbitmq.queue: zipkin #默认配置
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.0.168
    port: 5672
    username: root
    password: prolog0212
    virtual-host: /upcloud
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.1.11:1521:orcl
    username: upcloud_base_gsp
    password: upcloud_base_gsp
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    dialect: oracle
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: root
    password: prolog0212
    host: 192.168.0.168
  tx:
    url: "http://192.168.40.143:7000/tx/manager/"

logging:
  config: classpath:log4j2-test.xml
  level.root: info

management:
  endpoints: 
    web: 
      exposure: 
        include: "*"
        exclude: "shutdown"
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-gsp/192.168.110.50.9813/info.log  #info日志文件路径 等效logging.file或者logging.path
    health.show-details: always #开启多个健康指标